Auto updater from 3.01 to 3.02 Problem

Get help with installation and running phpBB 3.0.x here. Please do not post bug reports, feature requests, or MOD-related questions here.
Ideas Centre
Forum rules
END OF SUPPORT: 1 January 2017 (announcement)
jimbaum
Registered User
Posts: 16
Joined: Thu Jul 31, 2008 8:02 pm

Auto updater from 3.01 to 3.02 Problem

Post by jimbaum » Thu Jul 31, 2008 8:09 pm

Installation seemed to be going well until I clicked on "check the files again" after updating. And then got the following:
Warning: require(./../includes/functions.php) [function.require]: failed to open stream: No such file or directory in /var/www/domains/x.procinwarn.com/docs/phpbb3/install/index.php on line 151

Warning: require(./../includes/functions.php) [function.require]: failed to open stream: No such file or directory in /var/www/domains/x.procinwarn.com/docs/phpbb3/install/index.php on line 151

Fatal error: require() [function.require]: Failed opening required './../includes/functions.php' (include_path='.:/usr/local/lib/php') in /var/www/domains/x.procinwarn.com/docs/phpbb3/install/index.php on line 151
Can anyone tell me how I should fix this?

Thanks,

Jim B.

User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 50917
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: Auto updater from 3.01 to 3.02 Problem

Post by stevemaury » Thu Jul 31, 2008 8:19 pm

Try reuploading the 3.0.2 includes/functions.php file. If that doesn't work, reupload the entire includes folder.
For REALLY good and VERY inexpensive hosting CLICK HERE

I can stop all your spam. I can upgrade or update your Board. PM or email me. (Paid support)

jimbaum
Registered User
Posts: 16
Joined: Thu Jul 31, 2008 8:02 pm

Re: Auto updater from 3.01 to 3.02 Problem

Post by jimbaum » Thu Jul 31, 2008 8:31 pm

I appreciate the suggestions. I've done both from the new folder of the extracted files to my server folder.

But now the updater process I was in the middle of says session expired.

And when I try to access the phpbb3 board, I get page not found.

Any idea how to recover?

Thanks,

Jim B.

jimbaum
Registered User
Posts: 16
Joined: Thu Jul 31, 2008 8:02 pm

Re: Auto updater from 3.01 to 3.02 Problem

Post by jimbaum » Thu Jul 31, 2008 8:35 pm

Actually, did get back to the process page that says
Update completed

The database update was successful. Now you need to continue the update process.

Continue the update process now

When I click on continue I get the following:
Warning: include(./../language/en/common.php) [function.include]: failed to open stream: No such file or directory in /var/www/domains/x.procinwarn.com/docs/phpbb3/install/index.php on line 227

Warning: include(./../language/en/common.php) [function.include]: failed to open stream: No such file or directory in /var/www/domains/x.procinwarn.com/docs/phpbb3/install/index.php on line 227

Warning: include() [function.include]: Failed opening './../language/en/common.php' for inclusion (include_path='.:/usr/local/lib/php') in /var/www/domains/x.procinwarn.com/docs/phpbb3/install/index.php on line 227

Warning: include(./../language/en/acp/common.php) [function.include]: failed to open stream: No such file or directory in /var/www/domains/x.procinwarn.com/docs/phpbb3/install/index.php on line 228

Warning: include(./../language/en/acp/common.php) [function.include]: failed to open stream: No such file or directory in /var/www/domains/x.procinwarn.com/docs/phpbb3/install/index.php on line 228

Warning: include() [function.include]: Failed opening './../language/en/acp/common.php' for inclusion (include_path='.:/usr/local/lib/php') in /var/www/domains/x.procinwarn.com/docs/phpbb3/install/index.php on line 228

Warning: include(./../language/en/acp/board.php) [function.include]: failed to open stream: No such file or directory in /var/www/domains/x.procinwarn.com/docs/phpbb3/install/index.php on line 229

Warning: include(./../language/en/acp/board.php) [function.include]: failed to open stream: No such file or directory in /var/www/domains/x.procinwarn.com/docs/phpbb3/install/index.php on line 229

Warning: include() [function.include]: Failed opening './../language/en/acp/board.php' for inclusion (include_path='.:/usr/local/lib/php') in /var/www/domains/x.procinwarn.com/docs/phpbb3/install/index.php on line 229

Warning: include(./../language/en/posting.php) [function.include]: failed to open stream: No such file or directory in /var/www/domains/x.procinwarn.com/docs/phpbb3/install/index.php on line 231

Warning: include(./../language/en/posting.php) [function.include]: failed to open stream: No such file or directory in /var/www/domains/x.procinwarn.com/docs/phpbb3/install/index.php on line 231

Warning: include() [function.include]: Failed opening './../language/en/posting.php' for inclusion (include_path='.:/usr/local/lib/php') in /var/www/domains/x.procinwarn.com/docs/phpbb3/install/index.php on line 231
Language file en/common.php couldn't be opened.
Any ideas?

Thanks,

Jim B.

peleyer
Registered User
Posts: 9
Joined: Sat Jun 21, 2008 11:29 pm

Re: Auto updater from 3.01 to 3.02 Problem

Post by peleyer » Thu Jul 31, 2008 9:48 pm

Dude, try to reupload everything from the update folder, not just one folder.

Worked here.

User avatar
Noxwizard
Support Team Leader
Support Team Leader
Posts: 10348
Joined: Mon Jun 27, 2005 8:41 pm
Location: Texas, USA
Name: Patrick Webster
Contact:

Re: Auto updater from 3.01 to 3.02 Problem

Post by Noxwizard » Thu Jul 31, 2008 11:17 pm

According to the error, some of your language files are missing. Re-upload the /language/en/ folder. You can just grab a copy from the Full Package.
[Support Template] - [Read Before Posting] - [phpBB Knowledge Base]
Do not contact me for private support, please share the question in our forums.

jimbaum
Registered User
Posts: 16
Joined: Thu Jul 31, 2008 8:02 pm

Re: Auto updater from 3.01 to 3.02 Problem

Post by jimbaum » Fri Aug 01, 2008 12:19 am

I have now blown up my discussion board. Thanks for your help anyway. It's my fault of course.

Now i'm trying to learn how to recover via this topic item:

http://www.phpbb.com/community/viewtopi ... &t=1103215

I appreciate the attempts to help!

Jim B.

jimbaum
Registered User
Posts: 16
Joined: Thu Jul 31, 2008 8:02 pm

Re: Auto updater from 3.01 to 3.02 Problem

Post by jimbaum » Fri Aug 01, 2008 1:01 am

Ok, thanks to iwisdom, I got my discussion board back on line. But... it's still 3.01.

I think the problem had to do with the autoupdater would not say test connect sat until I stuck a documents/ in the path.

But I think the actual path to my discussion board doesn't use the documents/.

Any thoughts on getting around that?

Thanks,

Jim B.

User avatar
Phil
Former Team Member
Posts: 10403
Joined: Sat Nov 25, 2006 4:11 am
Name: Phil Crumm
Contact:

Re: Auto updater from 3.01 to 3.02 Problem

Post by Phil » Fri Aug 01, 2008 1:03 am

Can you double check the error message the updater outputs?
Moving on, with the wind. | My Corner of the Web

jimbaum
Registered User
Posts: 16
Joined: Thu Jul 31, 2008 8:02 pm

Re: Auto updater from 3.01 to 3.02 Problem

Post by jimbaum » Fri Aug 01, 2008 1:05 am

I think it just said, test connect failed... wrong path. I'll have to think through more carefully how I will try this again.

Thanks again, iwisdom.

Jim

User avatar
Phil
Former Team Member
Posts: 10403
Joined: Sat Nov 25, 2006 4:11 am
Name: Phil Crumm
Contact:

Re: Auto updater from 3.01 to 3.02 Problem

Post by Phil » Fri Aug 01, 2008 1:07 am

Are you referring to when you enter the FTP information for your board?
Moving on, with the wind. | My Corner of the Web

jimbaum
Registered User
Posts: 16
Joined: Thu Jul 31, 2008 8:02 pm

Re: Auto updater from 3.01 to 3.02 Problem

Post by jimbaum » Fri Aug 01, 2008 1:26 am

Yes. The autoupdater asks for ftp info, including path. Then I clicked on test connection.

User avatar
Phil
Former Team Member
Posts: 10403
Joined: Sat Nov 25, 2006 4:11 am
Name: Phil Crumm
Contact:

Re: Auto updater from 3.01 to 3.02 Problem

Post by Phil » Fri Aug 01, 2008 1:32 am

Is the information you entered correct? The error indicates that the directory you entered is not.
Moving on, with the wind. | My Corner of the Web

jimbaum
Registered User
Posts: 16
Joined: Thu Jul 31, 2008 8:02 pm

Re: Auto updater from 3.01 to 3.02 Problem

Post by jimbaum » Fri Aug 01, 2008 1:37 am

My actual url to my discussion board is x.procinwarn.com/phpbb3

When I open up my site in ftp commander it reveals that my hosting company actually puts my ftp folders in a documents/ folder.

The autoupdater did not say, "test connect successful" until I added "documents/" to the path which made it look like x.procinwarn.com/documents/phpbb3.

That made the test connect work but I think it made everything else not work.

User avatar
Phil
Former Team Member
Posts: 10403
Joined: Sat Nov 25, 2006 4:11 am
Name: Phil Crumm
Contact:

Re: Auto updater from 3.01 to 3.02 Problem

Post by Phil » Fri Aug 01, 2008 1:39 am

Try that. It should work if the connection succeeded.
Moving on, with the wind. | My Corner of the Web

Locked

Return to “[3.0.x] Support Forum”